#!/bin/bash
# Copyright (C) 2009-2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of database
#
# database is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# This script truncates all tables from the new database model

if test $# -ne 1; then
    printf "Usage: ./truncate_tables.sh <database>\n"
    exit 1
fi

database=$1

psql -d ${database} -c "truncate sa_inventory, sa_net_usage, dim_date,
    dim_school, dim_component, dim_machine, fact_inventory, fact_alert,
    fact_net_usage, control, dm_school, dm_avail_state, dm_avail_city,
    dm_avail_school, dm_avail_machine, dm_avail_state_history,
    dm_avail_city_history, dm_invent_machine, dm_audit_zm_school,
    dm_alert_state, dm_alert_city, dm_alert_school, dm_alert_machine,
    dm_alert_state_history, dm_alert_city_history, dm_net_usage_monthly,
    dm_net_usage_weekly, dm_net_usage_daily restart identity cascade;"
